| Irrlicht 3D Engine |

Public Member Functions | Protected Member Functions
irr::io::SNamedPath Struct Reference

Used in places where we identify objects by a filename, but don't actually work with the real filename. More...

`#include <path.h>`

List of all members.

## Public Member Functions

- SNamedPath ()
    Constructor.
- SNamedPath (const path &p)
    Constructor.
- const path & getInternalName () const
- const path & getPath () const
    Get the path.
- operator core::stringc () const
    Implicit cast to io::path.
- operator core::stringw () const
    Implicit cast to io::path.
- bool operator< (const SNamedPath &other) const
    Is smaller comparator.
- void setPath (const path &p)
    Set the path.

## Protected Member Functions

- path PathToName (const path &p) const

## Detailed Description

Used in places where we identify objects by a filename, but don't actually work with the real filename.

Irrlicht is internally not case-sensitive when it comes to names. Also this class is a first step towards support for correctly serializing renamed objects.

Definition at line 23 of file path.h.

## Constructor & Destructor Documentation

irr::io::SNamedPath::SNamedPath | ( |  | ) | `[inline]`

Constructor.

Definition at line 26 of file path.h.

irr::io::SNamedPath::SNamedPath | ( | const path & | p | ) | `[inline]`

Constructor.

Definition at line 29 of file path.h.

## Member Function Documentation

const path& irr::io::SNamedPath::getInternalName | ( |  | ) | const`[inline]`

Get the name which is used to identify the file. This string is similar to the names and filenames used before Irrlicht 1.7

Definition at line 54 of file path.h.

Referenced by irr::scene::IMeshCache::getMeshFilename().

const path& irr::io::SNamedPath::getPath | ( |  | ) | const`[inline]`

Get the path.

Definition at line 47 of file path.h.

Referenced by operator core::stringc(), and operator core::stringw().

irr::io::SNamedPath::operator core::stringc | ( |  | ) | const`[inline]`

Implicit cast to io::path.

Definition at line 60 of file path.h.

References getPath().

irr::io::SNamedPath::operator core::stringw | ( |  | ) | const`[inline]`

Implicit cast to io::path.

Definition at line 65 of file path.h.

References getPath().

bool irr::io::SNamedPath::operator< | ( | const SNamedPath & | other | ) | const`[inline]`

Is smaller comparator.

Definition at line 34 of file path.h.

path irr::io::SNamedPath::PathToName | ( | const path & | p | ) | const`[inline, protected]`

Definition at line 72 of file path.h.

References irr::core::string< T, TAlloc >::make_lower(), and irr::core::string< T, TAlloc >::replace().

Referenced by setPath().

void irr::io::SNamedPath::setPath | ( | const path & | p | ) | `[inline]`

Set the path.

Definition at line 40 of file path.h.

References PathToName().

The documentation for this struct was generated from the following file:

- path.h